Subject: Re: bug#35589: Scribus and GIMP: Clipped, non-resizable windows and pixelated icons

From: sirgazil <[email-masked]>
Date: Tue, 07 May 2019 11:52:22 -0500

---- On Mon, 06 May 2019 19:39:29 -0500 Chris Marusich <[email-masked]> wrote ----

 > sirgazil <[email-masked]> writes: 
 >  
 > > Hi, 
 > > 
 > > A few days ago I mentioned an issue with a Scribus installed on a 
 > > foreign distribution using Guix 
 > > (https://lists.gnu.org/archive/html/help-guix/2019-04/msg00249.html). I'm 
 > > experiencing the same problem with Scribus and the GIMP in a GNU 
 > > system installed in a real machine using the ISO installer 
 > > (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz). 
 > > 
 > > Scribus (these are from my Guix  on foreign distro experience, but the problem in the GNU system is the same): 
 > > 
 > > https://multimedialib.files.wordpress.com/2019/04/scribus-154-splash-2019-04-22.png 
 > > https://multimedialib.files.wordpress.com/2019/04/scribus-154-dialog-2019-04-22.png 
 > > https://multimedialib.files.wordpress.com/2019/04/scribus-154-main-2019-04-22.png 
 > > 
 > > GIMP (these are taken from the GNU system): 
 > > 
 > > https://multimedialib.files.wordpress.com/2019/05/gimp-21010-2019-05-05.png 
 > > 
 > > The windows are clipped (extend beyond the screen limits), you can't 
 > > resize them, and the icons look like zoomed-in bitmaps. The icon 
 > > problem is minor, but the other problems make it really hard to use 
 > > the applications as intended. 
 > > 
 > > --- 
 > > https://sirgazil.bitbucket.io/ 
 >  
 > I cannot reproduce these issues using Guix System on commit 
 > aa7cdc57dc28673dedfc6ec210974aaa0099a419.  The gimp and scribus programs 
 > do not appear to render icons incorrectly, their windows are resizable, 
 > and their windows are not clipped. 
 >  
 > Can you reproduce the issue in a VM?  You can try with the "guix system 
 > vm" command; you might need to slightly customize your OS config file. 
 > If you aren't sure how to do that, just let me know, and I'll try to 
 > help. 
 >  

Thanks, Chris. I would need precise instruction on how to create a VM with the same characteristics you used, including an example config. My system config was pretty much created by the graphical installer.

By the way, every time I run GIMP from a terminal, I see these warning and error:

##########
$ LANG=en_US.utf-8 gimp

(gimp:1734): Gtk-WARNING **: 11:49:30.835: Unable to locate theme engine in module_path: "adwaita",

(gimp:1734): Gtk-WARNING **: 11:49:30.838: Unable to locate theme engine in module_path: "adwaita",
GIMP-Warning: Bad interpreter referenced in interpreter file /gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/interpreters/pygimp.interp: python2

GIMP-Warning: Bad binary format string in interpreter file /gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/interpreters/pygimp.interp

GIMP-Error: Unable to run plug-in "spyro_plus.py"
(/gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/plug-ins/spyro_plus/spyro_plus.py)

Failed to execute child process “/gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/plug-ins/spyro_plus/spyro_plus.py” (Exec format error)
##########

And every time I run Scribus from a terminal, I see this:

    pathForIcon: Unable to load icon /gnu/store/5xqmac50axcgc8vrrn30jvzndjvrqd6a-scribus-1.5.4/share/scribus/icons/1_5_1/zeichen.png: File not found

Also, running:

    $ strace -f -o gimp.out gimp
    $ strace -f -o scribus.out scribus

I see many lines containing messages of things that seem to fail. For instance, "No existe el fichero o el directorio", "Argumento inválido", among other messages (in English these would be something like "No such file or directory" and "Invalid argument", respectively).